import { ActionDescriptor, ListViewContext, ObjectViewContext } from '../../vendors/organik';
import type { ObjectViewWidgetConfig } from '../../types/widget/view';
import { ViewHeadlessWidget } from './View';
declare class ObjectViewHeadlessWidget<CT extends ObjectViewWidgetConfig = ObjectViewWidgetConfig> extends ViewHeadlessWidget<CT> {
    getDefaultActions(): (string | ActionDescriptor)[];
    resolveActionNodes<NodeType>(defaultActionsGetter: (readonly?: boolean) => (string | ActionDescriptor)[], nodeCreator: (action: ActionDescriptor) => NodeType, executors?: Record<string, (...args: any[]) => any>, actionText?: Record<string, string>, readonly?: boolean): NodeType[];
    private getRecordParams;
    isNewOne(): boolean;
    fetchData(opener?: ListViewContext | ObjectViewContext): void;
}
export { ObjectViewHeadlessWidget };
