import { ClientAction, ViewContext } from '../../vendors/organik';
import type { ActionWidgetConfig, ActionConfigKeyHandlers } from '../../types/widget/action';
import type { ViewWidgetConfig, IViewWidget } from '../../types/widget/view';
import { BaseHeadlessWidget } from '../base';
declare class ViewHeadlessWidget<CT extends ViewWidgetConfig = ViewWidgetConfig> extends BaseHeadlessWidget<IViewWidget, CT> {
    getConfig(): CT;
    execute<AC extends ActionWidgetConfig = ActionWidgetConfig>(actionNameOrDescriptor: string | ClientAction<AC>, viewContext?: ViewContext, handlers?: ActionConfigKeyHandlers<AC>): void;
}
export { ViewHeadlessWidget };
