import { resolveAction } from '../../vendors/organik';
import { executeClientAction } from '../../utils/widget/action';
import { BaseHeadlessWidget } from '../base';
class ViewHeadlessWidget extends BaseHeadlessWidget {
    getConfig() {
        return (this.getViewContext().getConfig() || {});
    }
    execute(actionNameOrDescriptor, viewContext = this.getViewContext(), handlers) {
        const action = resolveAction(actionNameOrDescriptor);
        if (action) {
            executeClientAction(viewContext, action, (action.config || {}), handlers);
        }
    }
}
export { ViewHeadlessWidget };
